Sound cuts when reading .flac files from a cifs share and using the pulseaudio output plugin

January 25, 2012 04:00 - Mathieu Beliveau

Status: Closed Start date: January 25, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/pulse audio Estimated time: 0.00 hour

Target version: 3.2.1   

Affects version: 3.2   

Description

Platform: Ubuntu 11.10 (amd64)

Audacious ver. 3.1.2 (compiled from source)

When streaming .flac files from a cifs share on my local network, I'm experiencing seemingly random sound cuts when using the

pulseaudio output plugin. Note that this problem does NOT occur when using the Alsa output plugin and that affecting different buffer

values does not seem to produce any notable/positive effect - although this looks like a buffer overrun.

(sorry if this is a duplicate but I found no recent mention of this - although I've found old mention of it)

History

#1 - January 25, 2012 04:31 - Mathieu Beliveau

Just tested on 3.2 (from source) and the issue still applies.

#2 - January 25, 2012 05:38 - John Lindgren

Just on a hunch I looked at the source of the PulseAudio plugin and found that it ignores the buffer size setting.  Probably it is simply using too small a

buffer.

#4 - January 25, 2012 05:39 - John Lindgren

- Category set to plugins/pulse audio

#5 - February 07, 2012 22:22 - Mathieu Beliveau

- File pulse_audio.c.diff added

Hi,

I had some time to quickly check the pulse_audio plugin source today and I added the pa_buffer_attr structure with proper parameters for allowing the

server to set a buffer matching the value set in the UI. So far, it seems to have corrected the sound cuts and is consistent with the buffer values from

within Audacious.

Note that the attached diff file is from Audacious 3.2 sources; hoping it'll be of some use.

Thanks!

#6 - February 08, 2012 04:02 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100
- Target version set to 3.2.1

- Affects version  added

- Affects version deleted ()

Looks like a good fix, thank you!

https://github.com/audacious-media-player/audacious-plugins/commit/7a04ef15beee194a88f2e420edd8055ca1f3633c

Files

pulse_audio.c.diff 1.71 KB February 07, 2012 Mathieu Beliveau
